#include <bits/stdc++.h>
using namespace std;
#define ll long long
#define endl "\n"
#define INF 1000000000
#define LINF 1000000000000000LL
#define pb push_back
#define all(x) x.begin(), x.end()
#define len(s) (int)s.size()
#define test_case { int t; cin>>t; while(t--)solve(); }
#define single_case solve();
#define line cerr<<"----------"<<endl;
#define ios { ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL); cerr.tie(NULL); }
#define mod 1000000007LL
int n;
vector<pair<double, ll> > v;



int main()
{
    ios
    cin>>n;
    cout<<fixed;
    cout.precision(8);
    ll sum = 0;
    for(int i = 0;i<n;i++)
    {
        ll x;
        cin>>x;
        double d;
        cin>>d;
        d/=100.0;
        v.pb({d, x});
        sum+=x;
    }
    sort(all(v));
    double maks = 0.0;
    for(int i = 0;i<n;i++)
    {
        maks = max(maks, ((double)(sum))*v[i].first);
        sum-=v[i].second;
    }

    cout<<maks;





    return 0;
}